{
  "basePath": "/api/v3",
  "components": {
    "securitySchemes": {
      "ApiKeyAuth": {
        "in": "header",
        "name": "x-apikey",
        "type": "apiKey"
      }
    }
  },
  "editing": true,
  "host": "www.virustotal.com",
  "id": "7ea4a8ac1dbc114c3f67e1e47dd87cc4",
  "info": {
    "contact": {
      "email": "support@shuffler.io",
      "name": "@Anonymous Shuffle User",
      "url": "https://twitter.com/shuffleio"
    },
    "title": "Virustotal v3",
    "version": "1.0",
    "x-categories": [
      "Intel"
    ],
    "x-logo": "data:image/png;base64,[encoded data, 21472 characters]"
  },
  "openapi": "3.0.0",
  "paths": {
    "/domains/{domain}": {
      "get": {
        "operationId": "Get_a_domain_report",
        "parameters": [
          {
            "description": "Generated by shuffler.io OpenAPI",
            "in": "path",
            "name": "domain",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {},
        "responses": {
          "default": {
            "content": {
              "text/plain": {
                "schema": {
                  "example": "",
                  "type": "string"
                }
              }
            },
            "description": "default"
          }
        },
        "summary": "Get a domain report",
        "x-label": [
          "\"\\\"\\\\\\\"\\\\\\\\\\\\\\\"\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"Get IOC\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\"",
          "search_ioc\\\\\\\\\\\\\\\"",
          "search_ioc\\\\\\\"",
          "search_ioc\\\"",
          "search_ioc\"",
          "get_ioc",
          "app_validation"
        ]
      }
    },
    "/domains/{domain}/comments": {
      "get": {
        "operationId": "Get_comments_on_a_domain",
        "parameters": [
          {
            "description": "Generated by shuffler.io OpenAPI",
            "in": "path",
            "name": "domain",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {},
        "responses": {
          "default": {
            "content": {
              "text/plain": {
                "schema": {
                  "example": "",
                  "type": "string"
                }
              }
            },
            "description": "default"
          }
        },
        "summary": "Get comments on a domain",
        "x-label": "list_messages"
      },
      "post": {
        "operationId": "Add_a_comment_to_a_domain",
        "parameters": [
          {
            "description": "Generated by shuffler.io OpenAPI",
            "in": "path",
            "name": "domain",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Generated by shuffler.io OpenAPI",
            "example": "{\n  \"data\": {\n    \"type\": \"comment\",\n    \"attributes\": {\n        \"text\": \"Lorem #ipsum dolor sit ...\"\n    }\n  }\n}",
            "in": "body",
            "multiline": true,
            "name": "body",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "example": {
              "example": "{\n  \"data\": {\n    \"type\": \"comment\",\n    \"attributes\": {\n        \"text\": \"Lorem #ipsum dolor sit ...\"\n    }\n  }\n}"
            }
          },
          "description": "Generated by Shuffler.io"
        },
        "responses": {
          "default": {
            "content": {
              "text/plain": {
                "schema": {
                  "example": "",
                  "type": "string"
                }
              }
            },
            "description": "default"
          }
        },
        "summary": "Add a comment to a domain"
      }
    },
    "/files": {
      "post": {
        "operationId": "Upload_a_file",
        "parameters": [
          {
            "description": "Generated by shuffler.io OpenAPI",
            "example": "",
            "in": "body",
            "multiline": true,
            "name": "body",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "example": {
              "example": ""
            },
            "multipart/form-data": {
              "schema": {
                "properties": {
                  "fieldname": {
                    "type": "string",
                    "value": "file"
                  }
                },
                "type": "object"
              }
            }
          },
          "description": "Generated by Shuffler.io"
        },
        "responses": {
          "default": {
            "content": {
              "text/plain": {
                "schema": {
                  "example": "",
                  "type": "string"
                }
              }
            },
            "description": "default"
          }
        },
        "summary": "Upload a file"
      }
    },
    "/files/{id}": {
      "get": {
        "description": "SHA-256, SHA-1 or MD5 identifying the file",
        "operationId": "Get_a_hash_report_",
        "parameters": [
          {
            "description": "Generated by shuffler.io OpenAPI",
            "in": "path",
            "name": "id",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {},
        "responses": {
          "default": {
            "content": {
              "text/plain": {
                "schema": {
                  "example": "",
                  "type": "string"
                }
              }
            },
            "description": "default"
          }
        },
        "summary": "Get a hash report ",
        "x-label": "\"\\\"Search IOC\\\",get_ioc\",search_ioc"
      }
    },
    "/files/{id}/comments": {
      "get": {
        "operationId": "Get_comments_on_a_file",
        "parameters": [
          {
            "description": "Generated by shuffler.io OpenAPI",
            "in": "path",
            "name": "id",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {},
        "responses": {
          "default": {
            "content": {
              "text/plain": {
                "schema": {
                  "example": "",
                  "type": "string"
                }
              }
            },
            "description": "default"
          }
        },
        "summary": "Get comments on a file"
      },
      "post": {
        "operationId": "Add_a_comment_to_a_file",
        "parameters": [
          {
            "description": "Generated by shuffler.io OpenAPI",
            "in": "path",
            "name": "id",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Generated by shuffler.io OpenAPI",
            "example": "{\n  \"data\": {\n    \"type\": \"comment\",\n    \"attributes\": {\n        \"text\": \"Lorem #ipsum dolor sit ...\"\n    }\n  }\n}",
            "in": "body",
            "multiline": true,
            "name": "body",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "example": {
              "example": "{\n  \"data\": {\n    \"type\": \"comment\",\n    \"attributes\": {\n        \"text\": \"Lorem #ipsum dolor sit ...\"\n    }\n  }\n}"
            }
          },
          "description": "Generated by Shuffler.io"
        },
        "responses": {
          "default": {
            "content": {
              "text/plain": {
                "schema": {
                  "example": "",
                  "type": "string"
                }
              }
            },
            "description": "default"
          }
        },
        "summary": "Add a comment to a file"
      }
    },
    "/ip_addresses/{ip}": {
      "get": {
        "operationId": "Get_an_IP_address_report",
        "parameters": [
          {
            "description": "Generated by shuffler.io OpenAPI",
            "in": "path",
            "name": "ip",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {},
        "responses": {
          "default": {
            "content": {
              "text/plain": {
                "schema": {
                  "example": "",
                  "type": "string"
                }
              }
            },
            "description": "default"
          }
        },
        "summary": "Get an IP address report",
        "x-label": [
          "\"\\\"Get IOC\\\"",
          "get_ioc\"",
          "search_ioc",
          "app_validation"
        ]
      }
    },
    "/ip_addresses/{ip}/comments": {
      "get": {
        "operationId": "Get_comments_on_an_IP_address",
        "parameters": [
          {
            "description": "Generated by shuffler.io OpenAPI",
            "in": "path",
            "name": "ip",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {},
        "responses": {
          "default": {
            "content": {
              "text/plain": {
                "schema": {
                  "example": "",
                  "type": "string"
                }
              }
            },
            "description": "default"
          }
        },
        "summary": "Get comments on an IP address"
      },
      "post": {
        "operationId": "Add_a_comment_to_an_IP_address",
        "parameters": [
          {
            "description": "Generated by shuffler.io OpenAPI",
            "in": "path",
            "name": "ip",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Generated by shuffler.io OpenAPI",
            "example": "{\n  \"data\": {\n    \"type\": \"comment\",\n    \"attributes\": {\n        \"text\": \"Lorem #ipsum dolor sit ...\"\n    }\n  }\n}",
            "in": "body",
            "multiline": true,
            "name": "body",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "example": {
              "example": "{\n  \"data\": {\n    \"type\": \"comment\",\n    \"attributes\": {\n        \"text\": \"Lorem #ipsum dolor sit ...\"\n    }\n  }\n}"
            }
          },
          "description": "Generated by Shuffler.io"
        },
        "responses": {
          "default": {
            "content": {
              "text/plain": {
                "schema": {
                  "example": "",
                  "type": "string"
                }
              }
            },
            "description": "default"
          }
        },
        "summary": "Add a comment to an IP address"
      }
    },
    "/urls/{id}": {
      "get": {
        "operationId": "Get_a_URL_analysis_report",
        "parameters": [
          {
            "description": "Generated by shuffler.io OpenAPI",
            "in": "path",
            "name": "id",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {},
        "responses": {
          "default": {
            "content": {
              "text/plain": {
                "schema": {
                  "example": "",
                  "type": "string"
                }
              }
            },
            "description": "default"
          }
        },
        "summary": "Get a URL analysis report",
        "x-label": [
          "\"get_ioc\"",
          "search_ioc",
          "app_validation"
        ]
      }
    },
    "/urls/{id}/comments": {
      "get": {
        "operationId": "Get_comments_on_a_URL",
        "parameters": [
          {
            "description": "Generated by shuffler.io OpenAPI",
            "in": "path",
            "name": "id",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {},
        "responses": {
          "default": {
            "content": {
              "text/plain": {
                "schema": {
                  "example": "",
                  "type": "string"
                }
              }
            },
            "description": "default"
          }
        },
        "summary": "Get comments on a URL",
        "x-label": "list_messages"
      },
      "post": {
        "operationId": "Add_a_comment_on_a_URL",
        "parameters": [
          {
            "description": "Generated by shuffler.io OpenAPI",
            "in": "path",
            "name": "id",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Generated by shuffler.io OpenAPI",
            "example": "{\n  \"data\": {\n    \"type\": \"comment\",\n    \"attributes\": {\n        \"text\": \"Lorem #ipsum dolor sit ...\"\n    }\n  }\n}",
            "in": "body",
            "multiline": true,
            "name": "body",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "example": {
              "example": "{\n  \"data\": {\n    \"type\": \"comment\",\n    \"attributes\": {\n        \"text\": \"Lorem #ipsum dolor sit ...\"\n    }\n  }\n}"
            }
          },
          "description": "Generated by Shuffler.io"
        },
        "responses": {
          "default": {
            "content": {
              "text/plain": {
                "schema": {
                  "example": "",
                  "type": "string"
                }
              }
            },
            "description": "default"
          }
        },
        "summary": "Add a comment on a URL"
      }
    }
  },
  "schemes": [
    "https:"
  ],
  "servers": [
    {
      "url": "https://www.virustotal.com/api/v3"
    }
  ],
  "tags": [
    {
      "name": "intel"
    },
    {
      "name": "virustotal"
    }
  ]
}
